Issue 128204

Summary: Draw crashes when using curved multi-point lines or saving file that has curved multi-point lines
Product: Draw Reporter: Jamin Hubner <jaminhubner>
Component: editingAssignee: AOO issues mailing list <issues>
Status: UNCONFIRMED --- QA Contact:
Severity: Normal    
Priority: P5 (lowest) CC: knmc, mseidel, oooforum, petko, rb.henschel
Version: 4.1.6Keywords: needmoreinfo
Target Milestone: ---   
Hardware: PC   
OS: Windows 10   
Issue Type: DEFECT Latest Confirmation in: 4.1.7
Developer Difficulty: ---
Attachments:
Description Flags
image of draw file before and after crash (straight lines), and during crash (curved multi-point lines)
none
PDF with screenshots of problem
none
test file that crashes none

Description Jamin Hubner 2019-10-08 22:53:44 UTC
Created attachment 86745 [details]
image of draw file before and after crash (straight lines), and during crash (curved multi-point lines)

I use draw frequently to make diagrams, but it started crashing systematically after implementing curved lines with 3 or more points. It either crashes during the program use, or immediately upon control + S. When it recovers the file, it reverts back to any version that excludes the multi-point curved lines. Super annoying!
Comment 1 oooforum (fr) 2019-10-11 19:37:43 UTC
Your bug report is being closed as NOT_AN_ISSUE due to a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your operating system (which edition used) and the latest version of AOO that you have confirmed the bug to be present

b) Provide a step-by-step procedure to reproduce (the simpler will be the better)

c) Provide any test case(s) which will help us confirm the problem (like a sample document)

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue.
Comment 2 Jamin Hubner 2019-10-16 02:20:45 UTC
Created attachment 86750 [details]
PDF with screenshots of problem

as I note in this PDF of screenshots, I open up a few draw file, draw a line, insert a point on the line, then curve the line. When I save, Draw crashes.
Comment 3 Jamin Hubner 2019-10-16 02:21:22 UTC
Restested with newest edition of draw and reduplicated same problem. See new PDF of screenshots.
Comment 4 Marcus 2019-10-16 19:26:59 UTC
fixed the versions data
Comment 5 oooforum (fr) 2019-10-17 15:22:03 UTC
Not reproduce with AOO 4.1.7 and Windows 7 x64 pro

See animated GIF for proof: https://www.cjoint.com/c/IJrpvokLYUY
Comment 6 Jamin Hubner 2019-10-17 18:54:52 UTC
I watched the animation for it not reproducing. But this is Windows 7. Can someone else try Windows 10?
Comment 7 Jamin Hubner 2019-10-17 19:21:49 UTC
Please watch the GIF animation video showing the crash:

https://1drv.ms/u/s!AqDBb2qhKIFGiMh3teT3tEq09Y78uQ?e=vsIICd
Comment 8 Peter 2019-10-17 19:31:45 UTC
The crash occurs on the try of overwriting anther file. Everything else is irrelevant.
Maybe it is an access issue.
Comment 9 Regina Henschel 2019-10-17 19:36:38 UTC
I have tried it the same way as shown in the video and have used overwriting another file. It does not crash for me. I have used AOO416m1(Build:9790)  -  Rev. 1844436 2018-10-23 12:57 on Windows 10.
Comment 10 Jamin Hubner 2019-10-17 19:43:56 UTC
It's happening with either a new file (as in the video; I renamed it specifically to show that it was saving a NEW file) and also with overwriting an old file.
Comment 11 Keith N. McKenna 2019-10-17 20:14:41 UTC
Please attach the file that crashes. As multiple individuals have not been able to reproduce it This would be the last ditch effort to try to confirm it.
Comment 12 Jamin Hubner 2019-10-17 20:19:37 UTC
Created attachment 86751 [details]
test file that crashes

test file
Comment 13 Matthias Seidel 2019-10-17 20:47:20 UTC
Funny fact:
I could replicate a crash with AOO 4.1.7 on Ubuntu 16.04 (fresh profile).

"soffice.bin crashed with SIGSEGV in basegfx::tools::UnoPolygonBezierCoordsToB2DPolygon()"

Full crash report:
https://home.apache.org/~mseidel/Issue%20128204/_opt_openoffice4_program_soffice.bin.1000.crash
Comment 14 Keith N. McKenna 2019-10-17 23:19:26 UTC
I cannot confirm with either the op's file or creating a new one with the following configuration:

Intel (R) Pentium(R) CPU 4405U @2.10GHz, 2112MHz, 2(Core(s) 4 Logical Processors
Total Physical Memory 8.00 GB
Operating System: Windows 10 Home OS Build 10.0.17763.737 Version 1809
Apache Open Office:
AOO417m1(Build:9800)  -  Rev. 46059c9192 2019-09-03 12:04
Additional Language Packs: None

However with Matthias's attempt on Ubuntu 16.04 it would be worth having a developer take a look at his crash report.
Comment 15 oooforum (fr) 2019-10-22 18:18:28 UTC
(In reply to oooforum (fr) from comment #1)
> a) Provide details of your operating system (which edition used) 
Could you provide which Windows edition used (Familly, Pro, Education, Enterprise)?
Comment 16 Jamin Hubner 2019-10-22 19:41:16 UTC
Windows 10 home 1903
Comment 17 Jamin Hubner 2019-12-06 20:50:02 UTC
Has anyone fixed this bug yet?
Comment 18 oooforum (fr) 2019-12-10 16:14:37 UTC
For now, the bug is not reproduced with Windows 7 or 10 (see comment 14).